declare class DragHandler {
    constructor(el: any);
    el: any;
    init(constraint: any, val: any): void;
    constraint: any;
    value: any;
    transformPoint(event: any, offset: any): any;
    getBBox(): any;
    start(e: any): void;
    parent: any;
    p: any;
    m: any;
    startPoints: {
        point: any;
        box: any;
        transform: any;
    } | undefined;
    firstPoint: any;
    drag(e: any): any;
    lastPoint: any;
    isMoved(): boolean;
    end(e: any): void;
}
